SensorMultilevel.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/SensorMultilevel.h"`
`#include "command_classes/MultiInstance.h"`
`#include "Defs.h"`
`#include "Bitfield.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueDecimal.h"`

## Enumerations

enum | SensorMultilevelCmd { SensorMultilevelCmd_SupportedGet = 0x01, SensorMultilevelCmd_SupportedReport = 0x02, SensorMultilevelCmd_Get = 0x04, SensorMultilevelCmd_Report = 0x05 }

enum

SensorType {
SensorType_Temperature = 1, SensorType_General, SensorType_Luminance, SensorType_Power,
SensorType_RelativeHumidity, SensorType_Velocity, SensorType_Direction, SensorType_AtmosphericPressure,
SensorType_BarometricPressure, SensorType_SolarRadiation, SensorType_DewPoint, SensorType_RainRate,
SensorType_TideLevel, SensorType_Weight, SensorType_Voltage, SensorType_Current,
SensorType_CO2, SensorType_AirFlow, SensorType_TankCapacity, SensorType_Distance,
SensorType_AnglePosition, SensorType_Rotation, SensorType_WaterTemperature, SensorType_SoilTemperature,
SensorType_SeismicIntensity, SensorType_SeismicMagnitude, SensorType_Ultraviolet, SensorType_ElectricalResistivity,
SensorType_ElectricalConductivity, SensorType_Loudness, SensorType_Moisture, SensorType_MaxType
}

## Enumeration Type Documentation

## SensorMultilevelCmd

enum SensorMultilevelCmd

Enumerator
SensorMultilevelCmd_SupportedGet |
SensorMultilevelCmd_SupportedReport |
SensorMultilevelCmd_Get |
SensorMultilevelCmd_Report |

## SensorType

enum SensorType

Enumerator
SensorType_Temperature |
SensorType_General |
SensorType_Luminance |
SensorType_Power |
SensorType_RelativeHumidity |
SensorType_Velocity |
SensorType_Direction |
SensorType_AtmosphericPressure |
SensorType_BarometricPressure |
SensorType_SolarRadiation |
SensorType_DewPoint |
SensorType_RainRate |
SensorType_TideLevel |
SensorType_Weight |
SensorType_Voltage |
SensorType_Current |
SensorType_CO2 |
SensorType_AirFlow |
SensorType_TankCapacity |
SensorType_Distance |
SensorType_AnglePosition |
SensorType_Rotation |
SensorType_WaterTemperature |
SensorType_SoilTemperature |
SensorType_SeismicIntensity |
SensorType_SeismicMagnitude |
SensorType_Ultraviolet |
SensorType_ElectricalResistivity |
SensorType_ElectricalConductivity |
SensorType_Loudness |
SensorType_Moisture |
SensorType_MaxType |